Bug 249127 - rhnreg_ks --subscription doesn't do anything
rhnreg_ks --subscription doesn't do anything
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Sayli Karmarkar
:
Depends On: 470120
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-20 22:19 EDT by Arenas Belon, Carlo Marcelo
Modified: 2010-10-22 12:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:18:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arenas Belon, Carlo Marcelo 2007-07-20 22:19:44 EDT
Description of problem:
as per the documentation (man page) --subscription could be used to indicate
which subscription number to register the system with, but the implementation
code for it (either in the client or the server) seems to be missing

Version-Release number of selected component (if applicable):
rhn-setup-0.4.13-1.el5

How reproducible:
always

Steps to Reproduce:
1. get an RHN subscription
2. install a system and register it using --subscription
3.
  
Actual results:
system gets installed with whatever is the oldest subscription available in RHN,
even if it has different entitlements than the one that was targeted

Expected results:
system should use the indicated subscription as per the documentation

Additional info:
apparently the data that is given to this parameter is being ignored, as even
invalid subscription numbers or random characters can be provided and apparently
be used successfully to register servers.

the information about the subscription key to use is stored in the client inside
the "other" parameter hash with key "registration_number"
Comment 4 RHEL Product and Program Management 2008-06-11 10:25:20 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 RHEL Product and Program Management 2008-08-14 14:22:53 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 20 errata-xmlrpc 2009-01-20 17:18:36 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0249.html

Note You need to log in before you can comment on or make changes to this bug.